Page MenuHomePhabricator

[Spec] Design meta ORES general wiki entity matching schema
Closed, ResolvedPublic

Description

Our first iteration of Meta ORES is probably going to be simple and limited to reviewing ORES scores. However, it will be immediately useful (T153150) to extend this concept to possibly provide it as a backend for wikilabels: people making collective judgment calls about commits, reverts, and admin actions. There might be even more interesting applications beyond this.

Event Timeline

awight created this task.Dec 13 2016, 11:34 PM
awight updated the task description. (Show Details)

We could probably use triples of (<wikidb>, <entity_type>, <entity ID>). E.g. ("enwiki", "revision", 2345671)

Maybe we need to brainstorm use cases before going too far down that road, but I think it's a solid beginning to have a table like you suggest, and "target entity" is just a row in this table. Then we have a graph that can be expanded to whatever schema is appropriate.

Halfak renamed this task from Spike: Consider how to target *any* wiki entity for review, make a long-term plan to [Spec] Design meta ORES general wiki entity matching schema.Dec 15 2016, 3:27 PM
Halfak raised the priority of this task from Low to Needs Triage.
Halfak triaged this task as Low priority.Jan 19 2017, 3:51 PM
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.
awight closed this task as Resolved.Jun 26 2018, 12:30 PM
awight claimed this task.

We can target Diff, Revision, and Page, which is sufficient for the moment.